#
# spec file for package gelemental
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

Name:           gelemental
Version:        1.2.0
Release:        lp150.6.1
License:        GPL-2.0 and MIT
Summary:        Periodic Table Viewer
Url:            http://www.kdau.com/projects/gelemental
Group:          Productivity/Scientific/Chemistry
Source0:        %{name}-%{version}.tar.bz2
Source1:        %{name}.desktop
# PATCH-FIX-UPSTREAM -- add missing includes for GCC 4.3
Patch1:         gelemental-1.2.0-gcc43.patch
# PATCH-FIX-UPSTREAM -- remove unneeded glib includes
Patch2:         gelemental-1.2.0-removes_glib_includes.patch
# PATCH-FIX-UPSTREAM gelemental-1.2.0-gcc7.patch -- fixes gcc7 build
Patch3:         gelemental-1.2.0-gcc7.patch
BuildRequires:  glibmm2-devel >= 2.6
BuildRequires:  gtkmm2-devel >= 2.6
Requires:       glibmm2 >= 2.6
Requires:       gtkmm2 >= 2.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version}
BuildRequires:  update-desktop-files
%endif
BuildRequires:  gcc-c++
BuildRequires:  gettext-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  pkgconfig

%description
gElemental is a GTK+ periodic table viewer with detailed information on
the chemical elements. It uses the GTK+ toolkit and is available for Linux
and other GTK+/GNOME platforms.

%package devel
Summary:        Development files for gElemetal
Group:          Development/Libraries/Other
Requires:       %name = %version
Requires:       glibmm2-devel
Requires:       pango-devel

%description devel
Files needed for doing gElemental development.

%prep
%setup -q
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
%configure --disable-static

%install
%makeinstall
install -D -m 644 %{SOURCE1} %{buildroot}%{_datadir}/applications/gelemental.desktop
%if 0%{?suse_version}
%suse_update_desktop_file -n %name Education Chemistry
%endif
install -Dm644 data/scalable/gelemental.svg %{buildroot}%{_datadir}/pixmaps/%{name}.svg
rm %{buildroot}%{_libdir}/libelemental.la
%find_lang %{name}

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files -f %{name}.lang
%defattr (-, root, root)
%doc AUTHORS COPYING COPYING.DATA NEWS README TODO TRANSLATORS
%doc %{_mandir}/man1/gelemental.1*
%{_bindir}/gelemental
%{_libdir}/libelemental.so*
%exclude %{_libdir}/libelemental.so
%{_datadir}/applications/gelemental.desktop
%{_datadir}/pixmaps/%{name}.svg
%{_datadir}/icons/hicolor/*

%files devel
%defattr (-, root, root)
%{_includedir}/libelemental
%{_libdir}/libelemental.so
%{_libdir}/pkgconfig/libelemental.pc

%changelog
* Sat Aug 26 2017 aloisio@gmx.com
- Added gelemental-1.2.0-gcc7.patch to fix Factory build
* Mon Mar 25 2013 joop.boonen@opensuse.org
- Corrected a typo in the source location of gelemental.svg
* Sun Dec 16 2012 lars@linux-schulserver.de
- fixed RPM group for devel package
- added gelemental-1.2.0-removes_glib_includes.patch
- specfile cleanup
- added desktop icon
- remove outdated distribution tags
* Thu Sep 25 2008 lars@linux-schulserver.de
- moved to Education base repository
* Sun Jun 29 2008 kirill.kirillov@gmail.com
- gelemental-1.2.0-gcc43.patch (added "#include <limits>" to value.hh)
* Mon Mar 17 2008 lars@linux-schulserver.de
- disable static
- move libelemental.so and libelemental.pc to -devel
- run /sbin/ldconfig
- devel package should require glibmm2-devel and pango-devel
- use %%suse_update_desktop_file macro
- add a GenericName to the desktop file
* Sun Sep 30 2007 kirill.kirillov@gmail.com
- Update to version 1.2.0
* Thu Jul 12 2007 kirill.kirillov@gmail.com
- Initial build of 1.0.0
